## com.ericsson.otp.ic
Class StringHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.StringHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class StringHolder
extends java.lang.Object
implements Holder

Holder class for String, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`java.lang.String` `value`

Constructor Summary
`StringHolder()`
`StringHolder(java.lang.String initial)`

Method Summary
`boolean` `equals(java.lang.Object obj)` Comparisson method for Strings.
`boolean` `equals(java.lang.String s)` Comparisson method for Strings.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

Constructor Detail

### StringHolder

    public StringHolder()

### StringHolder

    public StringHolder(java.lang.String initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Strings.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(java.lang.String s)

  Comparisson method for Strings.
  Returns:
    true if the input String value equals the value of the current object, false otherwize

Copyright © 1991-1999 Ericsson Utvecklings AB